%define major 0
%define libname %mklibname imagequant %{major}
%define devname %mklibname imagequant -d

Name:           libimagequant
Version:        2.15.1
Release:        %mkrel 1
Summary:        Palette quantization library
Group:          System/Libraries
License:        GPLv3+ and MIT
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         libimagequant_solibperm.patch

%description
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package -n %{libname}
Summary:        Palette quantization library
Group:          System/Libraries

%description -n %{libname}
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       imagequant-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make_build

%install
%make_install

# Don't ship static library
rm -f %{buildroot}%{_libdir}/%{name}.a

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/imagequant.pc


%changelog
* Sun Jul 18 2021 tex - 2.15.1-1pclos2021
- new version

* Sat Apr 22 2021 tex - 2.14.1-1pclos2021
- new version
